Bug 647738 - [abrt] yelp-2.30.1-1.fc13: __libc_free: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
[abrt] yelp-2.30.1-1.fc13: __libc_free: Process /usr/bin/yelp was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
13
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:617ea2b407d6a615e6e27af71d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-29 05:39 EDT by nomnex
Modified: 2011-06-28 07:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:04:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (89.78 KB, text/plain)
2010-10-29 05:39 EDT, nomnex
no flags Details

  None (edit)
Description nomnex 2010-10-29 05:39:01 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: yelp
component: yelp
crash_function: __libc_free
executable: /usr/bin/yelp
kernel: 2.6.34.7-61.fc13.i686
package: yelp-2.30.1-1.fc13
rating: 4
reason: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
time: 1288344231
uid: 500

comment
-----
Fedora LXDE 13.

I HAD to install this GNOME stuff (YELP) to get the user manual of Gnumeric.
It uses all the CPU and crashes. I can't browse the pages (lag).

When I run yelp, 2 processes begins and eat up much cpu (I don't know if it is related)

a. yumdownloader
b. rmp2cpio

Where can I request a downloable manual for gnumeric and get rid of yelp?

How to reproduce
-----
1. Launch Yelp
2. CPU rises to 80% constantly
3. Yelp crashes
Comment 1 nomnex 2010-10-29 05:39:04 EDT
Created attachment 456423 [details]
File: backtrace
Comment 2 nomnex 2010-10-29 22:31:24 EDT
Package: yelp-2.30.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Launch Yelp is fine, but as soon as I load Gnumeric user manual
2. CPU rises to ~90% constantly, gnumeric pages load to a crawl
3. Yelp crashes
4. 2 processes reach high cpu value when I run yelp+gnumeric (not sure if they are related) a. yumdownloader/b.rmp2cpio.


Comment
-----
BUG: Yelp is needed on Fedora LXDE Spin to read the user manual of gnumeric. The Gnumeric docbook crashes Yelp on loading.

Gnumeric and Abiword are the default office applications of the Lxde Spin.
Yelp is Gnome stuff (always heavy and bloated) to read DocBook format. It is not part of the Lxde Spin.
The software manuals should be available in .html format, or even as .pdf format, for the sake of portability.
Comment 3 Bug Zapper 2011-05-30 10:34:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 07:04:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.